<?php
require('../../../QPlatform/Common/Component/ComInitialHead.php');
require($netsFileConfig['sysCoreRoot'].'Inc/m_Cms/Ask/cmsaskdiscuss.php');

class PaDefault extends CustomPage {
	public $ssetParid=1;
	
	public function PaDefault(){
		$this->CustomPage();
	}
	public function OnPInitial(){
		$this->checkUser('1,2,3,');
		$this->sTable=array(
			array('sttTableName'=>$this->sysTableHead.'cmsaskdiscuss','sttColumnHead'=>'casdt'),
			array('sttTableName'=>$this->sysTableHead.'cmsaskdiscusscont','sttColumnHead'=>'casdct'),);
		$this->sUiName='Platform/cms/cmsaskdiscuss';
	}
	public function OnBInitial(){
		$this->sMetaTitle='回答';
		$this->sLimitCount=0;
		$this->sApp=new cmsaskdiscuss($this->sConnString);
		
	}
	public function OnList(){
		//-- ------ #Search data ------ --
		$tmpSTR0='DList0';
		$tmpAR0=$this->getQueryString($tmpSTR0);
		$tmpSTR1='DSort0';
		$tmpAR1=$this->AnalyerRequest($tmpSTR1,'casdtID,2',0);
		$tmpSTR2='Search0';
		$this->sSearchData=$this->AnalyerRequest($tmpSTR2,',-1,-1',0);
		//#Spell sql
		$tmpSQL=' SELECT A.casdtID,A.casdtName,A.casdtParid,A.casdtBest
			FROM '.$this->sysTableHead.'cmsaskdiscuss AS A 
			WHERE 1=1 
			AND A.casdtID>'.$this->sLimitCount;
		if($this->sSearchData[0]!=''){
			$tmpSQL.=' AND A.casdtName LIKE \'%'.$this->sSearchData[0].'%\' ';
		}
		if($this->sSearchData[1]!='-1'){
			$tmpSQL.=' AND A.casdtParid='.$this->sSearchData[1].' ';
		}
		if($this->sSearchData[2]!='-1'){
			$tmpSQL.=' AND A.casdtBest='.$this->sSearchData[2].' ';
		}
		if($tmpAR1[1]==1){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' ';
		}else if($tmpAR1[1]==2){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' DESC ';
		}
		$this->sListData=$this->sDb->SearchP($tmpSQL,$tmpAR0);
		//#Set page button
		$this->sPButton->sPage=$this->sysPage;
		$this->sPButton->sExtendParameter='&'.$tmpSTR2.'='.$this->sSearchData[0].$this->sysSPLIT1.$this->sSearchData[1].$this->sysSPLIT1.$this->sSearchData[2];
		$this->sPButton->setPage($this->sDb->sysPageInfo);
		$this->sPButton->setSort($tmpAR1);
		$this->sSortButton[0]=array('stcotName'=>'casdtID','stcoctUiName'=>'编号');
		$this->sSortButton[1]=array('stcotName'=>'casdtName','stcoctUiName'=>'回答名称');
		
		return 0;
	}
	public function OnExternal_Search(){
		//-- ------ #Search data ------ --
		$tmpSTR0='DList0';
		$tmpAR0=$this->getQueryString($tmpSTR0);
		$tmpSTR1='DSort0';
		$tmpAR1=$this->AnalyerRequest($tmpSTR1,'casdtID,2',0);
		$tmpSTR2='Search0';
		$this->sSearchData=$this->AnalyerRequest($tmpSTR2,',,-1',0);
		$this->sExternal_SearchData=$this->AnalyerRequest($this->sActionType,',-1',0);
		//#Spell sql
		$tmpSQL=' SELECT A.casdtID,A.casdtName,A.casdtParid
			FROM '.$this->sysTableHead.'cmsaskdiscuss AS A 
			WHERE 1=1 
			AND A.casdtID>'.$this->sLimitCount;
		if($this->sSearchData[0]!=''){
			$tmpSQL.=' AND A.casdtName LIKE \'%'.$this->sSearchData[0].'%\' ';
		}
		if($this->sSearchData[1]!='-1'){
			$tmpSQL.=' AND A.casdtParid='.$this->sSearchData[1].' ';
		}
		if($tmpAR1[1]==1){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' ';
		}else if($tmpAR1[1]==2){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' DESC ';
		}
		$this->sListData=$this->sDb->SearchP($tmpSQL,$tmpAR0);
		//#Set page button
		$this->sExtendParameter='&ActionType='.$this->sActionType.'&'.$this->sActionType.'='.$this->sExternal_SearchData[0].','.$this->sExternal_SearchData[1];
		$this->sysPages[0]=$this->sysPage.'?'.$this->sExtendParameter;
		
		$this->sPButton->sPage=$this->sysPage;
		$this->sPButton->sExtendParameter='&'.$tmpSTR2.'='.$this->sSearchData[0].$this->sExtendParameter;
		$this->sPButton->setPage($this->sDb->sysPageInfo);
		$this->sPButton->setSort($tmpAR1);
		$this->sSortButton[0]=array('stcotName'=>'casdtID','stcoctUiName'=>'编号');
		$this->sSortButton[1]=array('stcotName'=>'casdtName','stcoctUiName'=>'回答名称');
		
		return 0;
	}
	public function OnExternal_ChildChoose(){
		//-- ------ #Search data ------ --
		$tmpSTR0='External_ChildChoose';
		$this->sExternal_ChildChooseSData=$this->AnalyerRequest($tmpSTR0,'0,,0,0',0);
		//#Spell sql
		$tmpSQL='';
		if($this->sExternal_ChildChooseSData[0]==0 || $this->sExternal_ChildChooseSData[0]==2){
			//-- Same grade --
			$tmpSQL=' SELECT A.casdtID,A.casdtName,A.casdtParid 
				FROM '.$this->sysTableHead.'cmsaskdiscuss AS A
				WHERE 1=1 AND A.casdtRecycle=0 AND A.casdtChecked>1 AND 
				A.casdtParid=(SELECT casdtParid FROM cmsaskdiscuss WHERE 1=1 AND casdtRecycle=0 AND casdtChecked>1 AND casdtID={Nets.ID})
				ORDER BY A.casdtOrderBy DESC,A.casdtID DESC ';
		}else if($this->sExternal_ChildChooseSData[0]==1 || $this->sExternal_ChildChooseSData[0]==3){
			//-- Child grade --
			$tmpSQL=' SELECT A.casdtID,A.casdtName,A.casdtParid 
				FROM '.$this->sysTableHead.'cmsaskdiscuss AS A
				WHERE 1=1 AND A.casdtRecycle=0 AND A.casdtChecked>1 AND A.casdtParid={Nets.ID}
				ORDER BY A.casdtOrderBy DESC,A.casdtID DESC ';
		}
		$tmpSTR=str_replace('{Nets.ID}',$this->sExternal_ChildChooseSData[2],$tmpSQL);
		$this->sExternal_ChildChooseData=$this->sDb->Search($tmpSTR);
		
		return 0;
	}
	public function OnNormal(){
		$tmpINT=0;
		$tmpAR0=$this->AnalyerRequest('Normal','0,0',0);
		
		$tmpSQL=' SELECT * 
			FROM '.$this->sysTableHead.'cmsaskdiscuss AS A 
			INNER JOIN '.$this->sysTableHead.'cmsaskdiscusscont AS B ON B.casdctIndexID=A.casdtID ';
		$Coun0=2;
		foreach ($this->sTable as $Row0){
			if (count($this->sTable)>2) {
				$tmpSQL.=' INNER JOIN '.$Row0['sttTableName'].' AS '.$this->sysTableMark[$Coun0].' ON '.$this->sysTableMark[$Coun0].'.'.$Row0['sttColumnHead'].'IndexID=A.casdtID ';
				$Coun0++;
			}
		}
		$tmpSQL.=' WHERE 1=1 AND A.casdtID='.$tmpAR0[0].' ';
		$tmpDataCollection0=$this->sDb->Search($tmpSQL);
		if(count($tmpDataCollection0)>0){
			$tmpRow=$tmpDataCollection0[0];
			$this->sMainID=$tmpRow[$this->sTable[0]['sttColumnHead'].'ID'];
			//-- #Get value --
			$Coun0=0;
			while (count($this->sUiDescription_Normal)>$Coun0) {
				if(isset($tmpRow[$this->sUiDescription_Normal[$Coun0]['stcotName']])){
					$this->sUiDescription_Normal[$Coun0]['Value']=$tmpRow[$this->sUiDescription_Normal[$Coun0]['stcotName']];
					//-- ------ #Spical set ------ --
					if($this->sUiDescription_Normal[$Coun0]['stcotName']=='casdtParid'){
						//casdtParid
						$tmpSQL=' SELECT A.castID,A.castName FROM '.$this->sysTableHead.'cmsask AS A
							WHERE 1=1 AND A.castRecycle=0 AND A.castChecked>1 AND A.castID={Nets.ID} ';
						$tmpSTR=str_replace('{Nets.ID}',$tmpRow[$this->sUiDescription_Normal[$Coun0]['stcotName']],$tmpSQL);
						$tmpData0=$this->sDb->Search($tmpSTR);
						if(count($tmpData0)>0){
							$this->sUiDescription_Normal[$Coun0]['ShowValue']=$tmpData0[0]['castName'];
						}
						
					}else if($this->sUiDescription_Normal[$Coun0]['stcotName']=='casdtModelid_Detail'){
						$this->sUiDescription_Normal[$Coun0]['Value']=$this->sMainTableid;
						
						
					}
				}
				$Coun0++;
			}
		}else {
			$Coun0=0;
			foreach($this->sUiDescription_Normal as $Row0){
				if($Row0['stcotName']=='casdtTableid'){
					$this->sUiDescription_Normal[$Coun0]['Value']=$this->sMainTableid;
				}
				$Coun0++;
			}
		}
	}
	
	public function DefUiPanel(&$pColumn,$pFlag){
		parent::DefUiPanel($pColumn,$pFlag);
		if($pColumn['stcotName']=='casdtBest' && $pFlag=='Search'){
			$pColumn['Option']=$this->sBoolean2;
		}else if($pColumn['stcotName']=='casdtBest' && ($pFlag=='Normal' || $pFlag=='List')){
			$pColumn['Option']=$this->sBoolean1;

		}else if($pColumn['stcotName']=='casdtParid' && $pFlag=='Search'){
			$pColumn['Parameter']='chooseSearch;casdtParidTxtSearch;External_Search;'.$this->sysFileConfig['sysCoreRoot'].'Mana/m_cms/ask/ask.php';
		}else if($pColumn['stcotName']=='casdtParid' && ($pFlag=='Normal' || $pFlag=='List')){
			$pColumn['Parameter']='chooseSearch;casdtParidTxt;External_Search;'.$this->sysFileConfig['sysCoreRoot'].'Mana/m_cms/ask/ask.php';

		}
		
		
		return $pColumn;
	}
}
//-- ------ #Instanct ------ --
$tmpDefault=new PaDefault();
$tmpDefault->OnPage();
$tmpControls=new CustomControls();
$tmpControlPage=new CustomControlPage();
$tmpComHead->sMenuid=$tmpDefault->sMenuid;
$tmpDefault->sysMetaTitle=$tmpDefault->sMetaTitle.' - '.$tmpDefault->sysFileConfig['sysTitle'];
//-- ------ #Template ------ --
require($tmpDefault->sysFileConfig['sysCoreRoot'].$tmpDefault->sysQPlatformTemplatePath.'Component/Group_0.php'); ?>